%define anolis_release 1
%bcond_without tests

%global srcname progressbar2

%global desc %{expand: \
A text progress bar is typically used to display the progress of a long running
operation, providing a visual cue that processing is underway.

The ProgressBar class manages the current progress, and the format of the line
is given by a number of widgets.

The progressbar module is very easy to use, yet very powerful. It will also
automatically enable features like auto-resizing when the system supports it.}

Name:           python-%{srcname}
Version:        4.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Library to provide visual progress to long running operations

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/wolph/python-progressbar/releases/download/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}
Requires:       %{py3_dist python-utils}
Requires:       %{py3_dist six}
BuildRequires:  %{py3_dist python-utils}
BuildRequires:  %{py3_dist six}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist pytest}
%if %{with tests}
BuildRequires:  %{py3_dist freezegun} >= 0.3.10
%endif

# obsolete python-progressbar
Obsoletes:      python3-progressbar < 2.3
Provides:       python3-progressbar == %{version}

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%package -n python3-%{srcname}-doc
Summary:        Documentation files for python3-%{srcname}
Requires:       python3-%{srcname} = %{version}-%{release}
BuildArch:      noarch

%description -n python3-%{srcname}-doc
documentation files for python3-%{srcname}.

%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rfv %{srcname}.egg-info

find . -name '*.pyc' -print -delete
find . -name '*.swp' -print -delete
rm -rfv tests/__pycache__/

# do not run coverage in pytest
sed -i -E '/--(no-)?cov/d' pytest.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%if %{with tests}
PYTHONPATH=. %pytest tests
%endif

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/progressbar
%{python3_sitelib}/%{srcname}-%{version}.dist-info/

%files -n python3-%{srcname}-doc
%doc README.rst CHANGES.rst CONTRIBUTING.rst

%changelog
* Tue Jan 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.2.0-1
- update to version 4.2.0

* Fri May 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.53.2-1
- init from upstream
